# Bolivia

### Required fields

<table><thead><tr><th>Field</th><th>Format</th><th width="249.33333333333331">Description</th></tr></thead><tbody><tr><td><code>login</code></td><td>String</td><td>Cashouts login</td></tr><tr><td><code>pass</code></td><td>String</td><td>Cashouts pass</td></tr><tr><td><code>external_id</code></td><td>String (max length: 100)</td><td>Transaction's ID on your end</td></tr><tr><td><code>document_type</code></td><td>See <a href="#document_type-and-document_id-validations">document validations</a></td><td>Beneficiary's document type.</td></tr><tr><td><code>document_id</code></td><td>See <a href="#document_type-and-document_id-validations">document validations</a></td><td>Beneficiary's document ID.</td></tr><tr><td><code>country</code></td><td><code>BO</code></td><td>The country codes are in ISO 3166-1 alpha-2 format. </td></tr><tr><td><code>currency</code></td><td><code>BOB</code> / <code>USD</code></td><td>The currencies are in ISO 4217 format.</td></tr><tr><td><code>amount</code></td><td>Number with up to 2 decimals</td><td>Cashout amount</td></tr><tr><td><code>bank_code</code></td><td>See <a href="#bank-codes">bank codes</a></td><td>Code specifying the beneficiary's bank</td></tr><tr><td><code>bank_account</code></td><td>See <a href="#bank-account-validations">validations below</a></td><td>Beneficiary's bank account</td></tr><tr><td><code>account_type</code></td><td>See <a href="#account-types">account type codes</a></td><td>Beneficiary's bank account type</td></tr><tr><td><code>beneficiary_name</code></td><td>String (max length: 100)</td><td>Beneficiary's name</td></tr></tbody></table>

### `bank_account` validations

Use the Regex below to validate the bank accounts on your end.

| Bank name | Format                                | Regex        | Example    |
| --------- | ------------------------------------- | ------------ | ---------- |
| All       | Numeric. Between 4 and 30 characters. | `^\d{4,30}$` | 1234567890 |

### `account_type`

The `account_type` is specified with only one character described below.

| account\_type | Description       |
| :-----------: | ----------------- |
|    **`C`**    | Checkings account |
|    **`S`**    | Savings account   |

### `document_type`  and `document_id` validations

<table><thead><tr><th width="166.68359375">document_type</th><th>document_id format</th></tr></thead><tbody><tr><td><code>CI</code></td><td>Numeric. Length: 7</td></tr><tr><td><code>CIE</code></td><td>Alphanumeric. One character followed by 8 digits</td></tr><tr><td><code>NIT</code></td><td>Alphanumeric. One character followed by 6 digits</td></tr><tr><td><code>PASS</code></td><td>Numeric. Length: 12</td></tr></tbody></table>

### Example request

```java
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "country": "BO",
    "currency": "BOB",
    "amount": 100,
    "document_type": "PASS",
    "document_id": "B225255",
    "beneficiary_name": "User",
    "bank_account": "1234567890",
    "bank_code": "001",
    "account_type": "C",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

### Bank codes

{% hint style="success" %}

### Bank code retrieval via API

For the full and most up-to-date list of banks and its codes, please check this endpoint <a href="/spaces/VNE8t2FopKfzgQzTjlBb/pages/kD1eu0r7kuzS2nEDm1N9" class="button primary">Get bank codes</a>
{% endhint %}

| Bank                                                 | Code |
| ---------------------------------------------------- | ---- |
| Banco Nacional de Bolivia S.A.                       | 001  |
| Banco PYME Ecofuturo S.A.                            | 002  |
| Banco Mercantil Santa Cruz S.A.                      | 003  |
| Almacenes Internacionales S.A.                       | 004  |
| Banco de Crédito de Bolivia S.A.                    | 005  |
| Warrant Mercantil Santa Cruz S.A.                    | 006  |
| Banco de la Nación Argentina S. A.                  | 007  |
| Banco Do Brasil S.A.- Sucursal Bolivia               | 008  |
| Banco BISA S.A.                                      | 009  |
| E-fectivo ESPM S.A.                                  | 010  |
| Banco Unión S.A.                                    | 014  |
| Banco Económico S.A.                                | 016  |
| Banco Solidario S.A.                                 | 017  |
| Banco Ganadero S.A.                                  | 018  |
| Banco PYME de la Comunidad S.A.                      | 032  |
| Banco para el Fomento a Iniciativas Económicas S.A. | 033  |
| Banco Fortaleza S.A.                                 | 034  |
| Banco Fassil S.A.                                    | 035  |
| Banco Prodem S.A.                                    | 036  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/guides/cashouts/countries-validations/american-countries/bolivia.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
